> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Password

> Update your password

Update your account password. Requires providing both the current password and new password.


## OpenAPI

````yaml POST /auth/change-password
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /auth/change-password:
    post:
      tags: []
      summary: Change password
      description: Update your password
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                current_password:
                  type: string
                new_password:
                  type: string
              required:
                - current_password
                - new_password
            example:
              current_password: pass1234
              new_password: pass4567
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
              examples:
                '1':
                  summary: Success
                  value:
                    message: Password updated
          headers: {}
      deprecated: false
      security: []

````